# Retrieve product information This function retrieves product information for the specified product name, including the product ID, redirect path, and redirect URLs for successful and failed purchases. Endpoint: GET /Market/get_product_info Version: 11.136.0.4 Security: BasicAuth ## Query parameters: - `product_name` (string, required) The name of the product for which to retrieve information. Example: "cpanel-ssl" ## Response 200 fields (application/json): - `apiversion` (integer) The version of the API. Example: 3 - `func` (string) The name of the method called. Example: "get_product_info" - `module` (string) The name of the module called. Example: "Market" - `result` (object) - `result.data` (object) - `result.data.product_id` (string) The product's identifier in the cPanel Store. Example: "123456" - `result.data.redirect_path` (string) The cPanel path to redirect to after a purchase attempt. Example: "/frontend/jupiter/store/purchase_cpanel-ssl_completion.html" - `result.data.redirect_url_failure` (string) The full cPanel URL to redirect to after a failed purchase, including the security token and relevant query string parameters. Example: "https://hostname.example.com:2083/cpsessXXXXXXXXXX/frontend/jupiter/store/purchase_cpanel-ssl_completion.html?domain=example.com&successful_purchase=0" - `result.data.redirect_url_success` (string) The full cPanel URL to redirect to after a successful purchase, including the security token and relevant query string parameters. Example: "https://hostname.example.com:2083/cpsessXXXXXXXXXX/frontend/jupiter/store/purchase_cpanel-ssl_completion.html?domain=example.com&successful_purchase=1" - `result.errors` (array,null) List of errors if the API failed. - `result.messages` (array,null) List of messages generated by the API. - `result.metadata` (object) - `result.status` (integer) * — Success. * — Failed. Check the field for more details. Enum: 0, 1 - `result.warnings` (array,null) List of warnings generated by the API. Warnings describe non-critical failures or other problematic conditions noted while running a API.